package javax.sql.rowset;

import java.io.OutputStream;
import java.io.Writer;
import java.sql.ResultSet;
import java.io.IOException;
import java.io.InputStream;
import java.sql.SQLException;
import java.io.Reader;

public interface WebRowSet extends CachedRowSet
{
    public static final String PUBLIC_XML_SCHEMA = "--//Oracle Corporation//XSD Schema//EN";
    public static final String SCHEMA_SYSTEM_ID = "http://java.sun.com/xml/ns/jdbc/webrowset.xsd";
    
    public abstract void readXml(Reader p0) throws SQLException;
    
    public abstract void readXml(InputStream p0) throws SQLException, IOException;
    
    public abstract void writeXml(ResultSet p0, Writer p1) throws SQLException;
    
    public abstract void writeXml(ResultSet p0, OutputStream p1) throws SQLException, IOException;
    
    public abstract void writeXml(Writer p0) throws SQLException;
    
    public abstract void writeXml(OutputStream p0) throws SQLException, IOException;
}
